Bug 24713 - NFS or filesystem hangs LINUX
NFS or filesystem hangs LINUX
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: nfs-server (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-23 13:49 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-11 06:35:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-01-23 13:49:38 EST
Several computers quickly sending files to a single computer via
NFS. All computers hang. This is unexpected (and incorrect) behavior.

The computers should say they are overwhelmed and abandon
the file transfer with an informative message including the name
of the file not transferred.

Files are 8 MB in size. Two computers are sending to a third. Each
sending computer sends at a rate of one file every five seconds
(on average) for a total rate of 24 files per minute. 100 MB/s ethernet.
The file-send program is a background process. If the send fails, it is 
attempted again in 10 seconds.  10 attempts are made and then the 
send is abandoned. Failure usually occurs between 10 and 200 files.

Work-around is simple,i .e. slow the rate and wait for completion of each
transfer. However, this does not fix the problem. Overwhelmed
file systems or NFS servers should never hang the system. They 
should abandon the problem with a clear message.

Note You need to log in before you can comment on or make changes to this bug.